
Redmine - Defect #8106

Issues by Category should show tasks without category

2011-04-08 14:31 - Dmitry Babenko

Status: Closed Start date: 2011-04-08

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed Affected version:  

Description

Currently on a roadmap page, e.g http://www.redmine.org/projects/redmine/versions/27 when you chose Issues by Category there is

no items for 'None' category (tasks that are not belong to any category).

And I think 'None' category should be the first in the list and/or be e.g. italic to differentiate it from the real categories.

Related issues:

Related to Redmine - Patch #1671: Show a breakdown of estimated/spent/remaini... New 2008-07-21

Associated revisions

Revision 10771 - 2012-10-30 15:24 - Jean-Philippe Lang

Issues by Category should show tasks without category (#8106).

Revision 10772 - 2012-10-30 16:17 - Jean-Philippe Lang

Fixed source indentation (#8106).

History

#1 - 2011-04-20 09:15 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2011-04-22 14:05 - Dmitry Babenko

The similar problems can be found here http://www.redmine.org/projects/redmine/issues/report

Sections Assignee, Version, Category do not have items 'None' in their lists.

And on http://www.redmine.org/projects/redmine/versions/27 Issues by:Assignee omits "None" too.

#3 - 2011-04-22 21:21 - Mischa The Evil

This has been reported and patched already almost three years ago as part of patch #1671:

[...]

Issue metrics previously didn't show data for issues having chosen attribute not assigned. This is fixed here, see that [Not Assigned] group

in screenshot;

[...]

 

It didn't made it into the core yet, but it would certainly be a useful extension of the current queries-UI that is available on both the here-above

mentioned views (/projects/redmine/versions/version_ID and /projects/redmine/issues/report).

#4 - 2012-10-30 15:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.2.0

- Resolution set to Fixed

Fixed in r10771.
#5 - 2012-10-30 15:46 - Dmitry Babenko

- Status changed from Closed to Reopened

File trunk/app/views/versions/_issue_counts.html.erb has mixed tabs and spaces indentation in newly added code.

Thanks for the fix.

#6 - 2012-10-30 16:21 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed, thanks.
